POST api/UserForm

Request Information

URI Parameters

None.

Body Parameters

reaSearchForm
NameDescriptionTypeAdditional information
searchFormID

string

None.

userID

string

None.

contactTime

string

None.

contactPhoneNo

string

None.

contactEmail

string

None.

timeFrame

string

None.

budgetRange

string

None.

areaRange

string

None.

noBedrooms

string

None.

noBathrooms

string

None.

PropertyType

string

None.

PropertyLocation

string

None.

PropertyArea

string

None.

PropertyFormTransaction

string

None.

isValid

string

None.

Request Formats

application/json, text/json

Sample:
{
  "searchFormID": "sample string 1",
  "userID": "sample string 2",
  "contactTime": "sample string 3",
  "contactPhoneNo": "sample string 4",
  "contactEmail": "sample string 5",
  "timeFrame": "sample string 6",
  "budgetRange": "sample string 7",
  "areaRange": "sample string 8",
  "noBedrooms": "sample string 9",
  "noBathrooms": "sample string 10",
  "PropertyType": "sample string 11",
  "PropertyLocation": "sample string 12",
  "PropertyArea": "sample string 13",
  "PropertyFormTransaction": "sample string 14",
  "isValid": "sample string 15"
}

application/xml, text/xml

Sample:
<reaSearchForm xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/REApropertyAPI.Models">
  <PropertyArea>sample string 13</PropertyArea>
  <PropertyFormTransaction>sample string 14</PropertyFormTransaction>
  <PropertyLocation>sample string 12</PropertyLocation>
  <PropertyType>sample string 11</PropertyType>
  <areaRange>sample string 8</areaRange>
  <budgetRange>sample string 7</budgetRange>
  <contactEmail>sample string 5</contactEmail>
  <contactPhoneNo>sample string 4</contactPhoneNo>
  <contactTime>sample string 3</contactTime>
  <isValid>sample string 15</isValid>
  <noBathrooms>sample string 10</noBathrooms>
  <noBedrooms>sample string 9</noBedrooms>
  <searchFormID>sample string 1</searchFormID>
  <timeFrame>sample string 6</timeFrame>
  <userID>sample string 2</userID>
</reaSearchForm>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'reaSearchForm'.

Response Information

Resource Description

None.